Page MenuHomePhabricator

Improving static analysis tools for MediaWiki Phabricator tasks
Closed, ResolvedPublic

Description

GSoC project of Improving static analysis tools for MediaWiki contains lots of micro tasks, this task created as a tracker for those micro tasks.

Event Timeline

Lethexie created this task.May 23 2016, 4:49 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 23 2016, 4:49 AM

@Lethexie Could you please elaborate more on the task description and its purpose? Thank you.

Lethexie renamed this task from [GSoC 2016]Phabricator tasks (tracker) to [GSoC 2016] Improving static analysis tools for MediaWiki Phabricator tasks (tracker).May 23 2016, 7:35 AM
Lethexie updated the task description. (Show Details)

@Danny_B thanks and is it ok now?

Lethexie renamed this task from [GSoC 2016] Improving static analysis tools for MediaWiki Phabricator tasks (tracker) to [GSoC 2016] Improving static analysis tools for MediaWiki Phabricator tasks (tracking).May 23 2016, 8:16 AM
01tonythomas added a subscriber: 01tonythomas.

You can make a workboard or something in https://phabricator.wikimedia.org/tag/mediawiki-codesniffer/ which would be easy to manage ?

Adding a tracker would mean that you will have to add in blockers and blocked by correctly every time (headache).

I am removing the Google-Summer-of-Code (2016) as this will fit only in the backlog, and you have your MediaWiki-Codesniffer doing exactly what you need.

You can make a workboard or something in https://phabricator.wikimedia.org/tag/mediawiki-codesniffer/ which would be easy to manage ?
Adding a tracker would mean that you will have to add in blockers and blocked by correctly every time (headache).

That's what I had in my mind, that there are other ways how to achieve the assumed aim, but I wanted to understand the purpose of the task first. I've tried to get some more info from @Lethexie on IRC, and the result was, that first I'll wait to see what is (s)he going to do with it and then I'll possibly suggest better way, how to handle it.

@01tonythomas hi, as you mentioned, I think workboard is better if I can create new column, I'm confused whether can I create one?

I would create a milestone of MediaWiki-Codesniffer (perhaps #mediawiki-codesniffer-gsoc2016 or so) where you could have the workboard as you'll need.

Re the workboard: click the MediaWiki-Codesniffer here and you'll see it. If not, you'll find the item "Workboard" in the menu on the left. Feel free to ping me on IRC should you need any assistance.

Danny_B renamed this task from [GSoC 2016] Improving static analysis tools for MediaWiki Phabricator tasks (tracking) to Improving static analysis tools for MediaWiki Phabricator tasks (tracking).May 27 2016, 1:02 PM
Danny_B closed this task as Resolved.Jun 1 2016, 6:16 PM

So I created MediaWiki-Codesniffer milestone which can be used instead of this tracking task.

Danny_B renamed this task from Improving static analysis tools for MediaWiki Phabricator tasks (tracking) to Improving static analysis tools for MediaWiki Phabricator tasks.Jul 8 2016, 11:25 AM
Danny_B removed a project: Tracking-Neverending.